Subject: [Technical Errata Reported] RFC6164 (5080)

From: RFC Errata System <[email-masked]>
Date: Tue, 8 Aug 2017 10:25:02 -0700 (PDT)

The following errata report has been submitted for RFC6164,
"Using 127-Bit IPv6 Prefixes on Inter-Router Links".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5080

--------------------------------------
Type: Technical
Reported by: toerless Eckert <[email-masked]>

Section: GLOBAL

Original Text
-------------
Request for Comments: 6164
Category: Standards Track

Corrected Text
--------------
Request for Comments: 6164
Category: Standards Track
Updates: RFC4291

Notes
-----
The solution described in RFC6164 updates RFC4291 because it violates the requirement of RFC4291 section 2.5.1 for the IIDs to be 64-bit long and be constructed from EUI-64 format.

Please feel free to reconfirm with 6man WG. In Prague, the suggestion was made that all documents introducing solutions that are not compliant with this requirement must be tracked as updated to RFC6164. When i asked on the list recently, i was given the suggestion to file an Errata as i am doing right now.

Note that i think that i do not think that "just wait for rfc4291bis" would be a good answer to this errata because rfc6164 of course predates it, and even more so, correct proedural tracking of rfc4291 updates can potentially help the process of getting to rfc4291bis.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6164 (draft-ietf-6man-prefixlen-p2p-01)
--------------------------------------
Title               : Using 127-Bit IPv6 Prefixes on Inter-Router Links
Publication Date    : April 2011
Author(s)           : M. Kohno, B. Nitzan, R. Bush, Y. Matsuzaki, L. Colitti, T. Narten
Category            : PROPOSED STANDARD
Source              : IPv6 Maintenance
Area                : Internet
Stream              : IETF
Verifying Party     : IESG